Onboarding
Get Onboarding Overview
Lists onboarding status, current step and progress for every employee-seat role in the org.
GEThttps://api.toku.com/hris/get-onboarding-overview
Required scope: people:read
curl --request GET \
--url 'https://api.toku.com/hris/get-onboarding-overview' \
--header 'Authorization: Bearer <token>'200 response
[
{
"roleInOrgId": "string",
"countryCode": "string",
"hasOnboardingRequest": true,
"requiresVerificationCase": true,
"overallStatus": "IN_PROGRESS",
"statusReason": "string",
"statusEffectiveAt": "string",
"submissionCompletedStepCount": 0,
"submissionTotalStepCount": 0,
"verificationCompletedCount": 0,
"verificationTotalCount": 0,
"outstandingChecks": [
"string"
],
"status": "NOT_STARTED",
"backgroundCheckStatus": "NOT_REQUIRED",
"currentStepId": "string",
"currentStepLabel": "string",
"completedStepCount": 0,
"totalStepCount": 0,
"onboardingStartedAt": "string",
"onboardingCompletedAt": "string",
"lastActivityAt": "string",
"employmentType": "string",
"startDate": "string",
"recordCreatedAt": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
roleInOrgIdstringrequiredcountryCodestringrequiredhasOnboardingRequestbooleanrequiredrequiresVerificationCasebooleanrequiredoverallStatusstringrequiredAvailable options: IN_PROGRESS, AWAITING_VERIFICATION, COMPLETED, ON_HOLD
statusReasonstring | nullrequiredstatusEffectiveAtstring | nullrequiredsubmissionCompletedStepCountnumberrequiredsubmissionTotalStepCountnumberrequiredverificationCompletedCountnumberrequiredverificationTotalCountnumberrequiredoutstandingChecksstring[]requiredstatusstringrequiredAvailable options: NOT_STARTED, IN_PROGRESS, SUBMITTED, COMPLETED
backgroundCheckStatusstringrequiredAvailable options: NOT_REQUIRED, PENDING, CLEARED, FAILED
currentStepIdstring | nullrequiredcurrentStepLabelstring | nullrequiredcompletedStepCountnumberrequiredtotalStepCountnumberrequiredonboardingStartedAtstring | nullrequiredonboardingCompletedAtstring | nullrequiredlastActivityAtstring | nullrequiredemploymentTypestring | nullrequiredstartDatestring | nullrequiredrecordCreatedAtstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits